# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html"
payload = [
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_code: 'en_US', location_code: 2840, keyword: 'shoes'}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en_US',
'location_code' => 2840,
'keyword' => 'shoes'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html"
payload := strings.NewReader("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"keyword\": \"shoes\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"keyword\": \"shoes\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"keyword\": \"shoes\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"keyword": "<string>",
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"datetime": "<string>",
"items_count": 123,
"items": [
{
"page": 123,
"date": "<string>",
"html": "<string>"
}
]
}
]
}
]
}Live Merchant Amazon Products Html
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html"
payload = [
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{language_code: 'en_US', location_code: 2840, keyword: 'shoes'}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'language_code' => 'en_US',
'location_code' => 2840,
'keyword' => 'shoes'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html"
payload := strings.NewReader("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"keyword\": \"shoes\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"keyword\": \"shoes\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"language_code\": \"en_US\",\n \"location_code\": 2840,\n \"keyword\": \"shoes\"\n }\n]"
response = http.request(request)
puts response.read_body{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": [
{
"keyword": "<string>",
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"datetime": "<string>",
"items_count": 123,
"items": [
{
"page": 123,
"date": "<string>",
"html": "<string>"
}
]
}
]
}
]
}Request contract
- Method and path: POST /apis/v1/dataforseo/merchant/amazon/products/live/html
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/merchant/amazon/products/live/html
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "any_dataforseo_apis_v1_dataforseo_merchant_amazon_564dce",
"method": "POST",
"path": "/apis/v1/dataforseo/merchant/amazon/products/live/html",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"type": [
"object",
"null"
],
"oneOf": [
{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "<em>keyword</em><br><strong>required field</strong><br>you can specify <strong>up to 700 characters</strong> in this field<br><strong>all %## will be decoded (plus character ‘+’ will be decoded to a space character)</strong><br>if you need to use the “%” character for your <code>keyword</code>, please specify it as “%25”;<p>learn more about rules and limitations of <code>keyword</code> and <code>keywords</code> fields in DataForSEO APIs in this <a href=\"https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis\" rel=\"noopener noreferrer\" target=\"_blank\">Help Center article</a>"
},
"url": {
"type": [
"string",
"null"
],
"description": "<em>direct URL of the search query</em><br>optional field<br>you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.<br>example:<br><code class=\"long-string\">https://www.amazon.com/s/?field-keywords=shoes&language=en_US</code>"
},
"location_name": {
"type": "string",
"description": "<em>full name of search engine location</em><br><strong>required field if you don't specify</strong> <code>location_code</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_code</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations with their <code>location_name</code> parameters by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/locations</code><br>example:<br><code class=\"long-string\">HA1,England,United Kingdom</code>"
},
"location_code": {
"type": "integer",
"description": "<em>search engine location code</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations with their <code>location_code</code> parameters by making a separate request to the<br><code>https://api.dataforseo.com/v3/merchant/amazon/locations</code><br>example:<br><code class=\"long-string\">9045969</code>"
},
"location_coordinate": {
"type": "string",
"description": "<em>GPS coordinates of a location</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_code</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_code</code></strong><br><code>location_coordinate</code> parameter should be specified in the <em>\"latitude,longitude,radius\"</em> format<br>the maximum number of decimal digits for <em>\"latitude\"</em> and <em>\"longitude\"</em>: 7<br>the minimum value for <em>\"radius\"</em>: 199.9<br>example:<br><code class=\"long-string\">53.476225,-2.243572,200</code>"
},
"language_name": {
"type": "string",
"description": "<em>full name of search engine language</em><br><strong>required field if you don't specify</strong> <code>language_code</code><br><strong>if you use this field, you don't need to specify <code>language_code</code></strong><br>you can receive the list of available languages with their <code>language_name</code> parameters by making a separate request to the<br><code>https://api.dataforseo.com/v3/merchant/amazon/languages</code><br>example:<br><code class=\"long-string\">English (United Kingdom)</code>"
},
"language_code": {
"type": "string",
"description": "<em>search engine language code</em><br><strong>required field if you don't specify</strong> <code>language_name</code><br><strong>if you use this field, you don't need to specify <code>language_name</code></strong><br>you can receive the list of available languages with their <code>language_code</code> parameters by making a separate request to the <code>https://api.dataforseo.com/v3/merchant/amazon/languages</code><em><br></em>example:<em><br></em><code class=\"long-string\">en_GB</code>"
},
"se_domain": {
"type": [
"string",
"null"
],
"description": "<em>search engine domain</em><br>optional field<br>we choose the relevant search engine domain automatically according to the location and language you specify<br>however, you can set a custom search engine domain in this field<br>example:<br><code><em>amazon.com</em></code>, <code><em>amazon.co.uk</em></code>, <code><em>amazon.fr</em></code>, etc."
},
"depth": {
"type": [
"integer",
"null"
],
"description": "<em>parsing depth</em><br>optional field<br>number of results to be retrieved from the Amazon results page<br>default value: <code>100</code><br>max value: <code>700</code><br><strong>Your account will be billed per each SERP containing up to 100 results;</strong> <br>Setting depth above 100 may result in additional charges if the search engine returns more than 100 results</a>;<br>The cost can be calculated on the <a title=\"Pricing\" href=\"https://dataforseo.com/pricing/merchant/amazon-api\" target=\"_blank\" rel=\"noopener noreferrer\">Pricing</a> page."
},
"max_crawl_pages": {
"type": [
"integer",
"null"
],
"description": "<em>page crawl limit</em><br>optional field<br>number of search results pages to crawl<br>max value: <code>7</code><br><strong>Note:</strong> the <code>max_crawl_pages</code> and <code>depth</code> parameters complement each other;<br>learn more at <a href=\"https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work\" rel=\"noopener noreferrer\" target=\"_blank\">our help center</a>"
},
"department": {
"type": [
"string",
"null"
],
"description": "<em>amazon product department</em><br>optional field<br>specify one of the following amazon departments for extracting product listings:<br><code>\"Arts & Crafts\"</code>, <code>\"Automotive\"</code>, <code>\"Baby\"</code>, <code>\"Beauty & Personal Care\"</code>, <code>\"Books\"</code>, <code>\"Computers\"</code>, <code>\"Digital Music\"</code>, <code>\"Electronics\"</code>, <code>\"Kindle Store\"</code>, <code>\"Prime Video\"</code>, <code>\"Women's Fashion\"</code>, <code>\"Men's Fashion\"</code>, <code>\"Girls' Fashion\"</code>, <code>\"Boys' Fashion\"</code>, <code>\"Deals\"</code>, <code>\"Health & Household\"</code>, <code>\"Home & Kitchen\"</code>, <code>\"Industrial & Scientific\"</code>, <code>\"Luggage\"</code>, <code>\"Movies & TV\"</code>, <code>\"Music, CDs & Vinyl\"</code>, <code>\"Pet Supplies\"</code>, <code>\"Software\"</code>, <code>\"Sports & Outdoors\"</code>, <code>\"Tools & Home Improvement\"</code>, <code>\"Toys & Games\"</code>, <code>\"Video Games\"</code>"
},
"search_param": {
"type": [
"string",
"null"
],
"description": "<em>additional parameters of the search query</em><br>optional field<br>you can use the following Amazon search URL parameters for customizing the search<br>example:<br><code>&low-price=52</code> - search for products that cost <em>more than 52 USD</em>;<br><code>&high-price=45</code> - search for products that cost <em>less than 45 USD</em>;<br><code>&sort=relevancerank</code> - sort results by <em>relevance</em>;<br><code>&sort=featured-rank</code> - sort results by <em>featured</em> products;<br><code>&sort=price-asc-rank</code> - sort by <em>ascending price</em>;<br><code>&sort=price-desc-rank</code> - sort by <em>descending price</em>;<br><code>&sort=review-rank</code> - sort by the average <em>customer reviews</em> value;<br><code>&sort=date-desc-rank</code> - sort by the <em>newest arrival</em><br><strong>Note</strong> that <code>search_param</code> values will be ignored if any of the following parameters is used: <code>price_min</code>, <code>price_max</code>, <code>sort_by</code>"
},
"price_min": {
"type": [
"integer",
"null"
],
"description": "<em>minimum product price</em><br>optional field<br>minimum price of the returned products listed on Amazon for the specified query<br>example:<br><code>5</code><br><strong>Note:</strong> if you specify <code>price_min</code>, the <code>search_param</code> parameter will be ignored"
},
"price_max": {
"type": [
"integer",
"null"
],
"description": "<em>maximum product price</em><br>optional field<br>maximum price of the returned products listed on Amazon for the specified query<br>example:<br><code>100</code><br><strong>Note:</strong> if you specify <code>price_max</code>, the <code>search_param</code> parameter will be ignored"
},
"sort_by": {
"type": [
"string",
"null"
],
"description": "<em>results sorting rules</em><br>optional field<br>the following sorting rules are supported:<br><code>relevance</code>, <code>price_low_to_high</code>, <code>price_high_to_low</code>, <code>featured</code>, <code>avg_customer_review</code>, <code>newest_arrival</code><br>example:<br><code>sort_by:\"relevance\"</code><br><strong>Note:</strong> if you specify <code>sort_by</code>, the <code>search_param</code> parameter will be ignored"
},
"tag": {
"type": [
"string",
"null"
],
"description": "<em>user-defined task identifier</em><br>optional field<br><em>the character limit is 255</em><br>you can use this parameter to identify the task and match it with the result<br>you will find the specified <code>tag</code> value in the <code>data</code> object of the response"
}
},
"example": [
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]
}
]
},
"example": [
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]
}
}
}
},
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.012,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.012 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.012
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
keyword
required field
you can specify up to 700 characters in this field
all %## will be decoded (plus character ‘+’ will be decoded to a space character)
if you need to use the “%” character for your keyword, please specify it as “%25”;
learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article
direct URL of the search query
optional field
you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.
example:https://www.amazon.com/s/?field-keywords=shoes&language=en_US
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations with their location_name parameters by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/locations
example:HA1,England,United Kingdom
search engine location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations with their location_code parameters by making a separate request to thehttps://api.dataforseo.com/v3/merchant/amazon/locations
example:9045969
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude,radius" format
the maximum number of decimal digits for "latitude" and "longitude": 7
the minimum value for "radius": 199.9
example:53.476225,-2.243572,200
full name of search engine language
required field if you don't specify language_code
if you use this field, you don't need to specify language_code
you can receive the list of available languages with their language_name parameters by making a separate request to thehttps://api.dataforseo.com/v3/merchant/amazon/languages
example:English (United Kingdom)
search engine language code
required field if you don't specify language_name
if you use this field, you don't need to specify language_name
you can receive the list of available languages with their language_code parameters by making a separate request to the https://api.dataforseo.com/v3/merchant/amazon/languages
example:en_GB
search engine domain
optional field
we choose the relevant search engine domain automatically according to the location and language you specify
however, you can set a custom search engine domain in this field
example:amazon.com, amazon.co.uk, amazon.fr, etc.
parsing depth
optional field
number of results to be retrieved from the Amazon results page
default value: 100
max value: 700
Your account will be billed per each SERP containing up to 100 results;
Setting depth above 100 may result in additional charges if the search engine returns more than 100 results;
The cost can be calculated on the Pricing page.
page crawl limit
optional field
number of search results pages to crawl
max value: 7
Note: the max_crawl_pages and depth parameters complement each other;
learn more at our help center
amazon product department
optional field
specify one of the following amazon departments for extracting product listings:"Arts & Crafts", "Automotive", "Baby", "Beauty & Personal Care", "Books", "Computers", "Digital Music", "Electronics", "Kindle Store", "Prime Video", "Women's Fashion", "Men's Fashion", "Girls' Fashion", "Boys' Fashion", "Deals", "Health & Household", "Home & Kitchen", "Industrial & Scientific", "Luggage", "Movies & TV", "Music, CDs & Vinyl", "Pet Supplies", "Software", "Sports & Outdoors", "Tools & Home Improvement", "Toys & Games", "Video Games"
additional parameters of the search query
optional field
you can use the following Amazon search URL parameters for customizing the search
example:&low-price=52 - search for products that cost more than 52 USD;&high-price=45 - search for products that cost less than 45 USD;&sort=relevancerank - sort results by relevance;&sort=featured-rank - sort results by featured products;&sort=price-asc-rank - sort by ascending price;&sort=price-desc-rank - sort by descending price;&sort=review-rank - sort by the average customer reviews value;&sort=date-desc-rank - sort by the newest arrival
Note that search_param values will be ignored if any of the following parameters is used: price_min, price_max, sort_by
minimum product price
optional field
minimum price of the returned products listed on Amazon for the specified query
example:5
Note: if you specify price_min, the search_param parameter will be ignored
maximum product price
optional field
maximum price of the returned products listed on Amazon for the specified query
example:100
Note: if you specify price_max, the search_param parameter will be ignored
results sorting rules
optional field
the following sorting rules are supported:relevance, price_low_to_high, price_high_to_low, featured, avg_customer_review, newest_arrival
example:sort_by:"relevance"
Note: if you specify sort_by, the search_param parameter will be ignored
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
[
{
"language_code": "en_US",
"location_code": 2840,
"keyword": "shoes"
}
]
Response
Successful operation
the current version of the API
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
total tasks cost, USD
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
array of tasks
Show child attributes
Show child attributes